org.apache.poi.sl.draw

## Class DrawTableShape

- java.lang.Object
- - org.apache.poi.sl.draw.DrawShape
  - - org.apache.poi.sl.draw.DrawTableShape

- All Implemented Interfaces:
    Drawable

      public class DrawTableShape
      extends DrawShape

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.draw.Drawable

      `Drawable.DrawableHint`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `borderSize` Additional spacing between cells

    - ### Fields inherited from class org.apache.poi.sl.draw.DrawShape

      `shape`

    - ### Fields inherited from interface org.apache.poi.sl.draw.Drawable

      `BUFFERED_IMAGE, CURRENT_SLIDE, DRAW_FACTORY, FONT_FALLBACK, FONT_HANDLER, FONT_MAP, GRADIENT_SHAPE, GRESTORE, GROUP_TRANSFORM, GSAVE, IMAGE_RENDERER, PRESET_GEOMETRY_CACHE, TEXT_AS_CHARACTERS, TEXT_AS_SHAPES, TEXT_RENDERING_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawTableShape(TableShape<?,?> shape)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyTransform(java.awt.Graphics2D graphics)` Apply 2-D transforms before drawing this shape.
    `void` | `draw(java.awt.Graphics2D graphics)` Draw this shape into the supplied canvas
    `void` | `drawContent(java.awt.Graphics2D graphics)` draw any content within this shape (image, text, etc.).
    `protected Drawable` | `getGroupShape(java.awt.Graphics2D graphics)`
    `protected TableShape<?,?>` | `getShape()`
    `void` | `setAllBorders(java.lang.Object... args)` Format the table and apply the specified Line to all cell boundaries, both outside and inside.
    `void` | `setInsideBorders(java.lang.Object... args)` Format the inside border using the specified Line object An empty args parameter removes the affected border.
    `void` | `setOutsideBorders(java.lang.Object... args)` Format the outside border using the specified Line object An empty args parameter removes the affected border.

    - ### Methods inherited from class org.apache.poi.sl.draw.DrawShape

      `getAnchor, getAnchor, getStroke`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### borderSize

          @Internal
          public static final int borderSize

      Additional spacing between cells
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DrawTableShape

          public DrawTableShape(TableShape<?,?> shape)

  - ### Method Detail

    - #### getGroupShape

          protected Drawable getGroupShape(java.awt.Graphics2D graphics)

    - #### applyTransform

          public void applyTransform(java.awt.Graphics2D graphics)

      Description copied from class: `DrawShape`
      Apply 2-D transforms before drawing this shape. This includes rotation and flipping.
      Specified by:
        `applyTransform` in interface `Drawable`
      Overrides:
        `applyTransform` in class `DrawShape`
      Parameters:
        `graphics` - the graphics whos transform matrix will be modified

    - #### draw

          public void draw(java.awt.Graphics2D graphics)

      Description copied from interface: `Drawable`
      Draw this shape into the supplied canvas
      Specified by:
        `draw` in interface `Drawable`
      Overrides:
        `draw` in class `DrawShape`
      Parameters:
        `graphics` - the graphics to draw into

    - #### drawContent

          public void drawContent(java.awt.Graphics2D graphics)

      Description copied from interface: `Drawable`
      draw any content within this shape (image, text, etc.).
      Specified by:
        `drawContent` in interface `Drawable`
      Overrides:
        `drawContent` in class `DrawShape`
      Parameters:
        `graphics` - the graphics to draw into

    - #### getShape

          protected TableShape<?,?> getShape()

      Overrides:
        `getShape` in class `DrawShape`

    - #### setAllBorders

          public void setAllBorders(java.lang.Object... args)

      Format the table and apply the specified Line to all cell boundaries, both outside and inside. An empty args parameter removes the affected border.
      Parameters:
        `args` - a varargs array possible containing `Double` (width), `StrokeStyle.LineCompound`, `Color`, `StrokeStyle.LineDash`

    - #### setOutsideBorders

          public void setOutsideBorders(java.lang.Object... args)

      Format the outside border using the specified Line object An empty args parameter removes the affected border.
      Parameters:
        `args` - a varargs array possible containing `Double` (width), `StrokeStyle.LineCompound`, `Color`, `StrokeStyle.LineDash`

    - #### setInsideBorders

          public void setInsideBorders(java.lang.Object... args)

      Format the inside border using the specified Line object An empty args parameter removes the affected border.
      Parameters:
        `args` - a varargs array possible containing `Double` (width), `StrokeStyle.LineCompound`, `Color`, `StrokeStyle.LineDash`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.